object.hpp File Reference
`#include <cstddef>`
`#include <cstdint>`
`#include <cstdlib>`
`#include <cstring>`
`#include <stdexcept>`
`#include <osmium/memory/collection.hpp>`
`#include <osmium/memory/item.hpp>`
`#include <osmium/memory/item_iterator.hpp>`
`#include <osmium/osm/entity.hpp>`
`#include <osmium/osm/item_type.hpp>`
`#include <osmium/osm/location.hpp>`
`#include <osmium/osm/tag.hpp>`
`#include <osmium/osm/timestamp.hpp>`
`#include <osmium/osm/types.hpp>`
`#include <osmium/osm/types_from_string.hpp>`
Include dependency graph for object.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::OSMObject

## Namespaces

| osmium
| Namespace for everything in the Osmium library.

## Functions

bool | osmium::operator== (const OSMObject &lhs, const OSMObject &rhs) noexcept
bool | osmium::operator!= (const OSMObject &lhs, const OSMObject &rhs) noexcept
bool | osmium::operator< (const OSMObject &lhs, const OSMObject &rhs) noexcept
bool | osmium::operator> (const OSMObject &lhs, const OSMObject &rhs) noexcept
bool | osmium::operator<= (const OSMObject &lhs, const OSMObject &rhs) noexcept
bool | osmium::operator>= (const OSMObject &lhs, const OSMObject &rhs) noexcept